/*
 * Copyright 2024 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define SOPT5_LPUART0RXSRC_LPUART_RX 0x00u /*!<@brief LPUART0 Receive Data Source Select: LPUART_RX pin */

/*! @name PORTB1 (number 13), PTB1/J1[4]/J5[4]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_DEBUG_UART_TX_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_DEBUG_UART_TX_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_TX_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PORTB2 (number 14), PTB2/J1[2]/J5[3]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_DEBUG_UART_RX_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_DEBUG_UART_RX_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_RX_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PORTB10 (number 9), PTB10/J2[2]/J6[2]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTB                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTB11 (number 10), PTB11/J2[4]/J5[2]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LED_GREEN_PORT PORTB                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_GREEN_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTB3 (number 17), PTB3/J2[20]/J5[5]/J7[6]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SCL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SCL_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SCL_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                                       /* @} */

/*! @name PORTB4 (number 18), PTB4/J2[18]/J5[6]/J7[8]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SDA_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SDA_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_I2C_SDA_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                                                       /* @} */

/*! @name PORTB6 (number 1), PTB6/J1[8]/J7[2]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_FGPIO FGPIOB             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_GPIO GPIOB               /*!<@brief GPIO peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_WAKE_UP_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_I2C_ConfigurePins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
